Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.www.protocol.http
Class HttpMuxServer

    java.lang.Object
      |
      +--org.w3c.www.protocol.http.HttpServer
            |
            +--org.w3c.www.protocol.http.HttpMuxServer

public class HttpMuxServer
extends HttpServer

Field Summary
`protected org.w3c.www.protocol.http.HttpMuxConnection` | `conn`
`protected java.lang.String` | `host`
`protected HttpManager` | `manager`
`protected int` | `port`
`protected int` | `timeout`

Fields inherited from class org.w3c.www.protocol.http.HttpServer
`state`

Constructor Summary
`HttpMuxServer()`

Method Summary
`protected void` | `acquireConnection()`
`void` | `deleteConnection(org.w3c.www.protocol.http.HttpConnection conn)`
`short` | `getMajorVersion()`
`short` | `getMinorVersion()`
`java.lang.String` | `getProtocol()`
`void` | `initialize(HttpManager manager, org.w3c.www.protocol.http.HttpServerState state, java.lang.String host, int port, int timeout)` Initialize this server instance for the given target location.
`protected void` | `interruptRequest(Request request)` Interrupt given request (that we launched).
`protected boolean` | `isTwoStage(Request requset)` Is this request a two stage request.
`protected void` | `notifyObserver(RequestObserver obs, RequestEvent evt)`
`protected void` | `notifyObserver(RequestObserver obs, Request request, int code)`
`protected void` | `releaseConnection()`
`Reply` | `runRequest(Request req)` Run the given request.
`void` | `setTimeout(int timeout)`

Methods inherited from class org.w3c.www.protocol.http.HttpServer
`getState`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### conn

    protected org.w3c.www.protocol.http.HttpMuxConnection conn

### manager

    protected HttpManager manager

### host

    protected java.lang.String host

### port

    protected int port

### timeout

    protected int timeout

Constructor Detail

### HttpMuxServer

    public HttpMuxServer()

Method Detail

### acquireConnection

    protected void acquireConnection()
                              throws java.io.IOException

### releaseConnection

    protected void releaseConnection()

### getProtocol

    public java.lang.String getProtocol()

  Overrides:
    getProtocol in class HttpServer

### getMajorVersion

    public short getMajorVersion()

  Overrides:
    getMajorVersion in class HttpServer

### getMinorVersion

    public short getMinorVersion()

  Overrides:
    getMinorVersion in class HttpServer

### setTimeout

    public void setTimeout(int timeout)

  Overrides:
    setTimeout in class HttpServer

### isTwoStage

    protected boolean isTwoStage(Request requset)

  Is this request a two stage request.
  Returns:
    A boolean, true if the request is two stage, false otherwise.

### notifyObserver

    protected void notifyObserver(RequestObserver obs,
                                  Request request,
                                  int code)

### notifyObserver

    protected void notifyObserver(RequestObserver obs,
                                  RequestEvent evt)

### runRequest

    public Reply runRequest(Request req)
                     throws HttpException

  Run the given request.
  Parameters:
    `request` - The request to run.
  Returns:
    An instance of Reply, containing all the reply informations.
  Throws:
    HttpException - If something failed during request processing.
  Overrides:
    runRequest in class HttpServer

### interruptRequest

    protected void interruptRequest(Request request)

  Interrupt given request (that we launched). THIS METHID IS NOT IMPLEMENTED !
  Parameters:
    `request` - The request to interrupt.
  Overrides:
    interruptRequest in class HttpServer

### deleteConnection

    public void deleteConnection(org.w3c.www.protocol.http.HttpConnection conn)

### initialize

    public void initialize(HttpManager manager,
                           org.w3c.www.protocol.http.HttpServerState state,
                           java.lang.String host,
                           int port,
                           int timeout)

  Initialize this server instance for the given target location.
  Parameters:
    `manager` - The central HTTP protocol manager.
    `state` - The manager's state for that server.
    `host` - The target server's FQDN.
    `port` - The target server's port number.
    `timeout` - The socket's timeout in millisec
  Overrides:
    initialize in class HttpServer

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD